// Arabic

import { mobiscroll } from '../core/core';
import './hijri';

export default mobiscroll;

mobiscroll.i18n.ar = {
    // Core
    rtl: true, // Right to left mode
    setText: 'تعيين',
    cancelText: 'إلغاء',
    clearText: 'مسح',
    selectedText: '{count} المحدد',
    // Datetime component
    dateFormat: 'dd/mm/yy',
    dayNames: ['الأحد', 'الاثنين', 'الثلاثاء', 'الأربعاء', 'الخميس', 'الجمعة', 'السبت'],
    dayNamesShort: ['أحد', 'اثنين', 'ثلاثاء', 'أربعاء', 'خميس', 'جمعة', 'سبت'],
    dayNamesMin: ['ح', 'ن', 'ث', 'ر', 'خ', 'ج', 'س'],
    dayText: 'يوم',
    hourText: 'ساعات',
    minuteText: 'الدقائق',
    monthNames: ['يناير', 'فبراير', 'مارس', 'ابريل', 'مايو', 'يونيو', 'يوليو', 'أغسطس', 'سبتمبر', 'أكتوبر', 'نوفمبر', 'ديسمبر'],
    monthNamesShort: ['يناير', 'فبراير', 'مارس', 'ابريل', 'مايو', 'يونيو', 'يوليو', 'أغسطس', 'سبتمبر', 'أكتوبر', 'نوفمبر', 'ديسمبر'],
    monthText: 'شهر',
    secText: 'ثواني',
    amText: 'ص',
    pmText: 'م',
    timeFormat: 'hh:ii A',
    yearText: 'عام',
    nowText: 'الآن',
    // Calendar component
    firstDay: 0,
    dateText: 'تاريخ',
    timeText: 'وقت',
    closeText: 'إغلاق',
    todayText: 'اليوم',
    prevMonthText: 'الشهر السابق',
    nextMonthText: 'الشهر القادم',
    prevYearText: 'السنه السابقة',
    nextYearText: 'العام القادم',
    allDayText: 'اليوم كله',
    noEventsText: 'لا توجد احداث',
    // Event calendar
    eventText: 'الحدث',
    eventsText: 'أحداث',
    moreEventsText: 'واحد آخر',
    moreEventsPluralText: 'اثنان آخران {count}',
    // Daterange component
    fromText: 'يبدا',
    toText: 'ينتهي',
    // Measurement components
    wholeText: 'كامل',
    fractionText: 'جزء',
    unitText: 'وحدة',
    // Numpad date
    delimiter: '/',
    // Numpad decimal
    decimalSeparator: '.',
    thousandsSeparator: ',',
    // Timer / Timespan component
    labels: ['سنوات', 'أشهر', 'أيام', 'ساعة', 'دقائق', 'ثواني', ''],
    labelsShort: ['سنوات', 'أشهر', 'أيام', 'ساعة', 'دقائق', 'ثواني', ''],
    // Timer component
    startText: 'بدء',
    stopText: 'إيقاف',
    resetText: 'إعادة ضبط',
    lapText: 'الدورة',
    hideText: 'إخفاء',
    // Forms
    offText: 'إيقاف',
    onText: 'تشغيل',
    // Listview
    backText: 'رجوع',
    undoText: 'تراجع'
};
