// Hebrew

import { mobiscroll } from '../core/core';

export default mobiscroll;

mobiscroll.i18n.he = {
    // Core
    rtl: true, // Right to left mode
    setText: 'שמירה',
    cancelText: 'ביטול',
    clearText: 'נקה',
    selectedText: '{count} נבחר',
    selectedPluralText: '{count} נבחרו',
    // Datetime component
    dateFormat: 'dd/mm/yy',
    dayNames: ['ראשון', 'שני', 'שלישי', 'רביעי', 'חמישי', 'שישי', 'שבת'],
    dayNamesShort: ["א'", "ב'", "ג'", "ד'", "ה'", "ו'", "ש'"],
    dayNamesMin: ['א', 'ב', 'ג', 'ד', 'ה', 'ו', 'ש'],
    dayText: 'יום',
    hourText: 'שעות',
    minuteText: 'דקות',
    monthNames: ['ינואר', 'פברואר', 'מרץ', 'אפריל', 'מאי', 'יוני', 'יולי', 'אוגוסט', 'ספטמבר', 'אוקטובר', 'נובמבר', 'דצמבר'],
    monthNamesShort: ["ינו", "פבר", "מרץ", "אפר", "מאי", "יונ", "יול", "אוג", "ספט", "אוק", "נוב", "דצמ"],
    monthText: 'חודש',
    secText: 'שניות',
    amText: 'am',
    pmText: 'pm',
    timeFormat: 'HH:ii',
    timeWheels: 'iiHH', // Need this for correct RTL display
    yearText: 'שנה',
    nowText: 'עכשיו',
    // Calendar component
    firstDay: 0,
    dateText: 'תאריך',
    timeText: 'זמן',
    closeText: 'סגירה',
    todayText: 'היום',
    allDayText: 'כל היום',
    noEventsText: 'אין אירועים',
    // Event calendar
    eventText: 'מִקרֶה',
    eventsText: 'מִקרֶה',
    moreEventsText: 'אירוע אחד נוסף',
    moreEventsPluralText: '{count} אירועים נוספים',
    // Daterange component
    fromText: 'התחלה',
    toText: 'סיום',
    // Measurement components
    wholeText: 'כֹּל',
    fractionText: 'שבריר',
    unitText: 'יחידה',
    // Time / Timespan component
    labels: ['שנים', 'חודשים', 'ימים', 'שעות', 'דקות', 'שניים', ''],
    labelsShort: ['שנים', 'חודשים', 'ימים', 'שעות', 'דקות', 'שניים', ''],
    // Timer component
    startText: 'התחל',
    stopText: 'עצור',
    resetText: 'אתחול',
    lapText: 'הקפה',
    hideText: 'הסתר',
    // Forms
    offText: 'כיבוי',
    onText: 'הפעלה',
    // Listview
    backText: 'חזור',
    undoText: 'ביטול פעולה'
};
