// Thai

import { mobiscroll } from '../core/core';

export default mobiscroll;

mobiscroll.i18n.th = {
    // Core
    setText: 'ตั้งค่า',
    cancelText: 'ยกเลิก',
    clearText: 'ล้าง',
    selectedText: '{count} เลือก',
    // Datetime component
    dateFormat: "dd/mm/yy",
    dayNames: ["อาทิตย์", "จันทร์", "อังคาร", "พุธ", "พฤหัสบดี", "ศุกร์", "เสาร์"],
    dayNamesShort: ["อา.", "จ.", "อ.", "พ.", "พฤ.", "ศ.", "ส."],
    dayNamesMin: ["อา.", "จ.", "อ.", "พ.", "พฤ.", "ศ.", "ส."],
    dayText: 'วัน',
    delimiter: '.',
    hourText: 'ชั่วโมง',
    minuteText: 'นาที',
    monthNames: ["มกราคม", "กุมภาพันธ์", "มีนาคม", "เมษายน", "พฤษภาคม", "มิถุนายน", "กรกฎาคม", "สิงหาคม", "กันยายน", "ตุลาคม", "พฤศจิกายน", "ธันวาคม"],
    monthNamesShort: ["ม.ค.", "ก.พ.", "มี.ค.", "เม.ย.", "พ.ค.", "มิ.ย.", "ก.ค.", "ส.ค.", "ก.ย.", "ต.ค.", "พ.ย.", "ธ.ค."],
    monthText: 'เดือน',
    secText: 'วินาที',
    timeFormat: 'HH:ii',
    yearText: 'ปี',
    nowText: 'ตอนนี้',
    pmText: 'pm',
    amText: 'am',
    // Calendar component
    firstDay: 0,
    dateText: 'วัน',
    timeText: 'เวลา',
    today: "วันนี้",
    prevMonthText: 'เดือนก่อนหน้า',
    nextMonthText: 'เดือนถัดไป',
    prevYearText: 'ปีก่อนหน้า',
    nextYearText: 'ปีถัดไป',
    closeText: "ปิด",
    eventText: 'เหตุการณ์',
    eventsText: 'เหตุการณ์',
    allDayText: 'ตลอดวัน',
    noEventsText: 'ไม่มีกิจกรรม',
    moreEventsText: 'อีก {count} กิจกรรม',
    // Daterange component
    fromText: 'จาก',
    toText: 'ถึง',
    // Measurement components
    wholeText: 'ทั้งหมด',
    fractionText: 'เศษส่วน',
    unitText: 'หน่วย',
    // Time / Timespan component
    labels: ['ปี', 'เดือน', 'วัน', 'ชั่วโมง', 'นาที', 'วินาที', ''],
    labelsShort: ['ปี', 'เดือน', 'วัน', 'ชั่วโมง', 'นาที', 'วินาที', ''],
    // Timer component
    startText: 'เริ่ม',
    stopText: 'หยุด',
    resetText: 'รีเซ็ต',
    lapText: 'รอบ',
    hideText: 'ซ่อน',
    // Listview
    backText: 'ย้อนกลับ',
    undoText: 'เลิกทา',
    // Form
    offText: 'ปิด',
    onText: 'เปิด',
    // Numpad
    decimalSeparator: ',',
    thousandsSeparator: ' '
};
